## org.eclipse.emf.ecore.xml.type.util
Class XMLTypeValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.emf.ecore.xml.type.util.XMLTypeValidator

All Implemented Interfaces:
  EValidator

    public class XMLTypeValidator

extends EObjectValidator

The Validator for the model.

See Also:
  `XMLTypePackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`EValidator.Descriptor, EValidator.PatternMatcher, EValidator.Registry, EValidator.SubstitutionLabelProvider`

Field Summary
`protected static int` `DIAGNOSTIC_CODE_COUNT` A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class
`static java.lang.String` `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package
`static XMLTypeValidator` `INSTANCE` The cached model package
`static EValidator.PatternMatcher[][]` `LANGUAGE__PATTERN__VALUES`
`static EValidator.PatternMatcher[][]` `NAME__PATTERN__VALUES`
`static EValidator.PatternMatcher[][]` `NC_NAME__PATTERN__VALUES`
`static java.math.BigInteger` `NEGATIVE_INTEGER__MAX__VALUE`
`static EValidator.PatternMatcher[][]` `NMTOKEN__PATTERN__VALUES`
`static java.math.BigInteger` `NON_NEGATIVE_INTEGER__MIN__VALUE`
`static java.math.BigInteger` `NON_POSITIVE_INTEGER__MAX__VALUE`
`static java.math.BigInteger` `POSITIVE_INTEGER__MIN__VALUE`
`static short` `UNSIGNED_BYTE__MAX__VALUE`
`static short` `UNSIGNED_BYTE__MIN__VALUE`
`static long` `UNSIGNED_INT__MAX__VALUE`
`static long` `UNSIGNED_INT__MIN__VALUE`
`static java.math.BigInteger` `UNSIGNED_LONG__MAX__VALUE`
`static java.math.BigInteger` `UNSIGNED_LONG__MIN__VALUE`
`static int` `UNSIGNED_SHORT__MAX__VALUE`
`static int` `UNSIGNED_SHORT__MIN__VALUE`
`static int` `WELL_FORMED_XML_GREGORIAN_CALENDAR`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, ROOT_OBJECT`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`XMLTypeValidator()` Creates an instance of the switch

Method Summary
`protected EPackage` `getEPackage()` Returns the package of this validator switch
`ResourceLocator` `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics
`protected void` `reportXMLGregorianCalendarViolation(EDataType eDataType, javax.xml.datatype.XMLGregorianCalendar value, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected boolean` `validate(int classifierID, java.lang.Object value, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Calls `validateXXX` for the corresponding classifier of the model
`boolean` `validateAnySimpleType(java.lang.Object anySimpleType, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateAnyType(AnyType anyType, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateAnyURI(java.lang.String anyURI, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateBase64Binary(byte[] base64Binary, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateBoolean(boolean boolean_, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateBooleanObject(java.lang.Boolean booleanObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateByte(byte byte_, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateByteObject(java.lang.Byte byteObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateDate(java.lang.Object date, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateDate(javax.xml.datatype.XMLGregorianCalendar date, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateDateTime(java.lang.Object dateTime, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateDateTime(javax.xml.datatype.XMLGregorianCalendar dateTime, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateDecimal(java.math.BigDecimal decimal, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateDouble(double double_, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateDoubleObject(java.lang.Double doubleObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateDuration(javax.xml.datatype.Duration duration, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateDuration(java.lang.Object duration, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateENTITIES_MinLength(java.util.List<?> entities, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the MinLength constraint of 'ENTITIES'
`boolean` `validateENTITIES(java.util.List<?> entities, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateENTITIESBase_ItemType(java.util.List<?> entitiesBase, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the ItemType constraint of 'ENTITIES Base'
`boolean` `validateENTITIESBase(java.util.List<?> entitiesBase, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateENTITY(java.lang.String entity, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateFloat(float float_, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateFloatObject(java.lang.Float floatObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateGDay(java.lang.Object gDay, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateGDay(javax.xml.datatype.XMLGregorianCalendar gDay, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateGMonth(java.lang.Object gMonth, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateGMonth(javax.xml.datatype.XMLGregorianCalendar gMonth, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateGMonthDay(java.lang.Object gMonthDay, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateGMonthDay(javax.xml.datatype.XMLGregorianCalendar gMonthDay, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateGYear(java.lang.Object gYear, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateGYear(javax.xml.datatype.XMLGregorianCalendar gYear, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateGYearMonth(java.lang.Object gYearMonth, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateGYearMonth(javax.xml.datatype.XMLGregorianCalendar gYearMonth, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateHexBinary(byte[] hexBinary, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateID(java.lang.String id, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateIDREF(java.lang.String idref, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateIDREFS_MinLength(java.util.List<?> idrefs, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the MinLength constraint of 'IDREFS'
`boolean` `validateIDREFS(java.util.List<?> idrefs, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateIDREFSBase_ItemType(java.util.List<?> idrefsBase, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the ItemType constraint of 'IDREFS Base'
`boolean` `validateIDREFSBase(java.util.List<?> idrefsBase, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateInt(int int_, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateInteger(java.math.BigInteger integer, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateIntObject(java.lang.Integer intObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateLanguage_Pattern(java.lang.String language, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Pattern constraint of 'Language'
`boolean` `validateLanguage(java.lang.String language, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateLong(long long_, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateLongObject(java.lang.Long longObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateName_Pattern(java.lang.String name, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Pattern constraint of 'Name'
`boolean` `validateName(java.lang.String name, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNCName_Pattern(java.lang.String ncName, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Pattern constraint of 'NC Name'
`boolean` `validateNCName(java.lang.String ncName, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNegativeInteger_Max(java.math.BigInteger negativeInteger, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Max constraint of 'Negative Integer'
`boolean` `validateNegativeInteger(java.math.BigInteger negativeInteger, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNMTOKEN_Pattern(java.lang.String nmtoken, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Pattern constraint of 'NMTOKEN'
`boolean` `validateNMTOKEN(java.lang.String nmtoken, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNMTOKENS_MinLength(java.util.List<?> nmtokens, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the MinLength constraint of 'NMTOKENS'
`boolean` `validateNMTOKENS(java.util.List<?> nmtokens, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNMTOKENSBase_ItemType(java.util.List<?> nmtokensBase, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the ItemType constraint of 'NMTOKENS Base'
`boolean` `validateNMTOKENSBase(java.util.List<?> nmtokensBase, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNonNegativeInteger_Min(java.math.BigInteger nonNegativeInteger, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Min constraint of 'Non Negative Integer'
`boolean` `validateNonNegativeInteger(java.math.BigInteger nonNegativeInteger, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNonPositiveInteger_Max(java.math.BigInteger nonPositiveInteger, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Max constraint of 'Non Positive Integer'
`boolean` `validateNonPositiveInteger(java.math.BigInteger nonPositiveInteger, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNormalizedString(java.lang.String normalizedString, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateNOTATION(java.lang.Object notation, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateNOTATION(javax.xml.namespace.QName notation, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validatePositiveInteger_Min(java.math.BigInteger positiveInteger, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Min constraint of 'Positive Integer'
`boolean` `validatePositiveInteger(java.math.BigInteger positiveInteger, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateProcessingInstruction(ProcessingInstruction processingInstruction, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateQName(java.lang.Object qName, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateQName(javax.xml.namespace.QName qName, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateShort(short short_, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateShortObject(java.lang.Short shortObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateSimpleAnyType(SimpleAnyType simpleAnyType, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateString(java.lang.String string, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateTime(java.lang.Object time, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Deprecated.
`boolean` `validateTime(javax.xml.datatype.XMLGregorianCalendar time, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateToken(java.lang.String token, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateUnsignedByte_Max(short unsignedByte, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Max constraint of 'Unsigned Byte'
`boolean` `validateUnsignedByte_Min(short unsignedByte, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Min constraint of 'Unsigned Byte'
`boolean` `validateUnsignedByte(short unsignedByte, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateUnsignedByteObject(java.lang.Short unsignedByteObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateUnsignedInt_Max(long unsignedInt, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Max constraint of 'Unsigned Int'
`boolean` `validateUnsignedInt_Min(long unsignedInt, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Min constraint of 'Unsigned Int'
`boolean` `validateUnsignedInt(long unsignedInt, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateUnsignedIntObject(java.lang.Long unsignedIntObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateUnsignedLong_Max(java.math.BigInteger unsignedLong, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Max constraint of 'Unsigned Long'
`boolean` `validateUnsignedLong_Min(java.math.BigInteger unsignedLong, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Min constraint of 'Unsigned Long'
`boolean` `validateUnsignedLong(java.math.BigInteger unsignedLong, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateUnsignedShort_Max(int unsignedShort, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Max constraint of 'Unsigned Short'
`boolean` `validateUnsignedShort_Min(int unsignedShort, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the Min constraint of 'Unsigned Short'
`boolean` `validateUnsignedShort(int unsignedShort, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateUnsignedShortObject(java.lang.Integer unsignedShortObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` `validateXMLTypeDocumentRoot(XMLTypeDocumentRoot xmlTypeDocumentRoot, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`createBadDataValueDiagnostic, createDiagnostic, getEcoreResourceLocator, getEcoreString, getFeatureLabel, getObjectLabel, getRootEValidator, getString, getValueLabel, reportDataValuePatternViolation, reportDataValueTypeViolation, reportEnumerationViolation, reportFractionDigitsViolation, reportMaxLengthViolation, reportMaxViolation, reportMinLengthViolation, reportMinViolation, reportTotalDigitsViolation, validate_DataValueConforms, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_KeyUnique, validate_MapEntryUnique, validate_MultiplicityConforms, validate_NoCircularContainment, validate_UniqueID, validate, validate, validate, validatePattern, wrapEnumerationValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final XMLTypeValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final java.lang.String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### WELL_FORMED_XML_GREGORIAN_CALENDAR

    public static final int WELL_FORMED_XML_GREGORIAN_CALENDAR

See Also:
  Constant Field Values

### DIAGNOSTIC_CODE_COUNT

    protected static final int DIAGNOSTIC_CODE_COUNT

  A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.

  See Also:
    Constant Field Values

### LANGUAGE__PATTERN__VALUES

    public static final EValidator.PatternMatcher[][] LANGUAGE__PATTERN__VALUES

  See Also:
    `validateLanguage_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### NAME__PATTERN__VALUES

    public static final EValidator.PatternMatcher[][] NAME__PATTERN__VALUES

  See Also:
    `validateName_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### NC_NAME__PATTERN__VALUES

    public static final EValidator.PatternMatcher[][] NC_NAME__PATTERN__VALUES

  See Also:
    `validateNCName_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### NEGATIVE_INTEGER__MAX__VALUE

    public static final java.math.BigInteger NEGATIVE_INTEGER__MAX__VALUE

  See Also:
    `validateNegativeInteger_Max(java.math.BigInteger, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### NMTOKEN__PATTERN__VALUES

    public static final EValidator.PatternMatcher[][] NMTOKEN__PATTERN__VALUES

  See Also:
    `validateNMTOKEN_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### NON_NEGATIVE_INTEGER__MIN__VALUE

    public static final java.math.BigInteger NON_NEGATIVE_INTEGER__MIN__VALUE

  See Also:
    `validateNonNegativeInteger_Min(java.math.BigInteger, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### NON_POSITIVE_INTEGER__MAX__VALUE

    public static final java.math.BigInteger NON_POSITIVE_INTEGER__MAX__VALUE

  See Also:
    `validateNonPositiveInteger_Max(java.math.BigInteger, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### POSITIVE_INTEGER__MIN__VALUE

    public static final java.math.BigInteger POSITIVE_INTEGER__MIN__VALUE

  See Also:
    `validatePositiveInteger_Min(java.math.BigInteger, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### UNSIGNED_BYTE__MIN__VALUE

    public static final short UNSIGNED_BYTE__MIN__VALUE

  See Also:
    `validateUnsignedByte_Min(short, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`, Constant Field Values

### UNSIGNED_BYTE__MAX__VALUE

    public static final short UNSIGNED_BYTE__MAX__VALUE

  See Also:
    `validateUnsignedByte_Max(short, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`, Constant Field Values

### UNSIGNED_INT__MIN__VALUE

    public static final long UNSIGNED_INT__MIN__VALUE

  See Also:
    `validateUnsignedInt_Min(long, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`, Constant Field Values

### UNSIGNED_INT__MAX__VALUE

    public static final long UNSIGNED_INT__MAX__VALUE

  See Also:
    `validateUnsignedInt_Max(long, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`, Constant Field Values

### UNSIGNED_LONG__MIN__VALUE

    public static final java.math.BigInteger UNSIGNED_LONG__MIN__VALUE

  See Also:
    `validateUnsignedLong_Min(java.math.BigInteger, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### UNSIGNED_LONG__MAX__VALUE

    public static final java.math.BigInteger UNSIGNED_LONG__MAX__VALUE

  See Also:
    `validateUnsignedLong_Max(java.math.BigInteger, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`

### UNSIGNED_SHORT__MIN__VALUE

    public static final int UNSIGNED_SHORT__MIN__VALUE

  See Also:
    `validateUnsignedShort_Min(int, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`, Constant Field Values

### UNSIGNED_SHORT__MAX__VALUE

    public static final int UNSIGNED_SHORT__MAX__VALUE

  See Also:
    `validateUnsignedShort_Max(int, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map<java.lang.Object, java.lang.Object>)`, Constant Field Values

Constructor Detail

### XMLTypeValidator

    public XMLTypeValidator()

  Creates an instance of the switch.

Method Detail

### getEPackage

    protected EPackage getEPackage()

  Returns the package of this validator switch.

  Overrides:
    `getEPackage` in class `EObjectValidator`

### validate

    protected boolean validate(int classifierID,
                               java.lang.Object value,
                               DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Calls `validateXXX` for the corresponding classifier of the model.

  Overrides:
    `validate` in class `EObjectValidator`

### validateAnyType

    public boolean validateAnyType(AnyType anyType,
                                   DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateProcessingInstruction

    public boolean validateProcessingInstruction(ProcessingInstruction processingInstruction,
                                                 DiagnosticChain diagnostics,
                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

### validateSimpleAnyType

    public boolean validateSimpleAnyType(SimpleAnyType simpleAnyType,
                                         DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

### validateXMLTypeDocumentRoot

    public boolean validateXMLTypeDocumentRoot(XMLTypeDocumentRoot xmlTypeDocumentRoot,
                                               DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

### validateAnySimpleType

    public boolean validateAnySimpleType(java.lang.Object anySimpleType,
                                         DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

### validateAnyURI

    public boolean validateAnyURI(java.lang.String anyURI,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateBase64Binary

    public boolean validateBase64Binary(byte[] base64Binary,
                                        DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### validateBoolean

    public boolean validateBoolean(boolean boolean_,
                                   DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateBooleanObject

    public boolean validateBooleanObject(java.lang.Boolean booleanObject,
                                         DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

### validateByte

    public boolean validateByte(byte byte_,
                                DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateByteObject

    public boolean validateByteObject(java.lang.Byte byteObject,
                                      DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDate

    public boolean validateDate(javax.xml.datatype.XMLGregorianCalendar date,
                                DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDate

    @Deprecated
    public boolean validateDate(java.lang.Object date,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateDateTime

    public boolean validateDateTime(javax.xml.datatype.XMLGregorianCalendar dateTime,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDateTime

    @Deprecated
    public boolean validateDateTime(java.lang.Object dateTime,
                                               DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateDecimal

    public boolean validateDecimal(java.math.BigDecimal decimal,
                                   DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDouble

    public boolean validateDouble(double double_,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDoubleObject

    public boolean validateDoubleObject(java.lang.Double doubleObject,
                                        DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDuration

    public boolean validateDuration(javax.xml.datatype.Duration duration,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDuration

    @Deprecated
    public boolean validateDuration(java.lang.Object duration,
                                               DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateENTITIES

    public boolean validateENTITIES(java.util.List<?> entities,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateENTITIES_MinLength

    public boolean validateENTITIES_MinLength(java.util.List<?> entities,
                                              DiagnosticChain diagnostics,
                                              java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the MinLength constraint of 'ENTITIES'.

### validateENTITIESBase

    public boolean validateENTITIESBase(java.util.List<?> entitiesBase,
                                        DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### validateENTITIESBase_ItemType

    public boolean validateENTITIESBase_ItemType(java.util.List<?> entitiesBase,
                                                 DiagnosticChain diagnostics,
                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the ItemType constraint of 'ENTITIES Base'.

### validateENTITY

    public boolean validateENTITY(java.lang.String entity,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateFloat

    public boolean validateFloat(float float_,
                                 DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

### validateFloatObject

    public boolean validateFloatObject(java.lang.Float floatObject,
                                       DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

### validateGDay

    public boolean validateGDay(javax.xml.datatype.XMLGregorianCalendar gDay,
                                DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateGDay

    @Deprecated
    public boolean validateGDay(java.lang.Object gDay,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateGMonth

    public boolean validateGMonth(javax.xml.datatype.XMLGregorianCalendar gMonth,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateGMonth

    @Deprecated
    public boolean validateGMonth(java.lang.Object gMonth,
                                             DiagnosticChain diagnostics,
                                             java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateGMonthDay

    public boolean validateGMonthDay(javax.xml.datatype.XMLGregorianCalendar gMonthDay,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateGMonthDay

    @Deprecated
    public boolean validateGMonthDay(java.lang.Object gMonthDay,
                                                DiagnosticChain diagnostics,
                                                java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateGYear

    public boolean validateGYear(javax.xml.datatype.XMLGregorianCalendar gYear,
                                 DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

### validateGYear

    @Deprecated
    public boolean validateGYear(java.lang.Object gYear,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateGYearMonth

    public boolean validateGYearMonth(javax.xml.datatype.XMLGregorianCalendar gYearMonth,
                                      DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

### validateGYearMonth

    @Deprecated
    public boolean validateGYearMonth(java.lang.Object gYearMonth,
                                                 DiagnosticChain diagnostics,
                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateHexBinary

    public boolean validateHexBinary(byte[] hexBinary,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateID

    public boolean validateID(java.lang.String id,
                              DiagnosticChain diagnostics,
                              java.util.Map<java.lang.Object,java.lang.Object> context)

### validateIDREF

    public boolean validateIDREF(java.lang.String idref,
                                 DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

### validateIDREFS

    public boolean validateIDREFS(java.util.List<?> idrefs,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateIDREFS_MinLength

    public boolean validateIDREFS_MinLength(java.util.List<?> idrefs,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the MinLength constraint of 'IDREFS'.

### validateIDREFSBase

    public boolean validateIDREFSBase(java.util.List<?> idrefsBase,
                                      DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

### validateIDREFSBase_ItemType

    public boolean validateIDREFSBase_ItemType(java.util.List<?> idrefsBase,
                                               DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the ItemType constraint of 'IDREFS Base'.

### validateInt

    public boolean validateInt(int int_,
                               DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

### validateInteger

    public boolean validateInteger(java.math.BigInteger integer,
                                   DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateIntObject

    public boolean validateIntObject(java.lang.Integer intObject,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateLanguage

    public boolean validateLanguage(java.lang.String language,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateLanguage_Pattern

    public boolean validateLanguage_Pattern(java.lang.String language,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Pattern constraint of 'Language'.

### validateLong

    public boolean validateLong(long long_,
                                DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateLongObject

    public boolean validateLongObject(java.lang.Long longObject,
                                      DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

### validateName

    public boolean validateName(java.lang.String name,
                                DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateName_Pattern

    public boolean validateName_Pattern(java.lang.String name,
                                        DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Pattern constraint of 'Name'.

### validateNCName

    public boolean validateNCName(java.lang.String ncName,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNCName_Pattern

    public boolean validateNCName_Pattern(java.lang.String ncName,
                                          DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Pattern constraint of 'NC Name'.

### validateNegativeInteger

    public boolean validateNegativeInteger(java.math.BigInteger negativeInteger,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNegativeInteger_Max

    public boolean validateNegativeInteger_Max(java.math.BigInteger negativeInteger,
                                               DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Max constraint of 'Negative Integer'.

### validateNMTOKEN

    public boolean validateNMTOKEN(java.lang.String nmtoken,
                                   DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNMTOKEN_Pattern

    public boolean validateNMTOKEN_Pattern(java.lang.String nmtoken,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Pattern constraint of 'NMTOKEN'.

### validateNMTOKENS

    public boolean validateNMTOKENS(java.util.List<?> nmtokens,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNMTOKENS_MinLength

    public boolean validateNMTOKENS_MinLength(java.util.List<?> nmtokens,
                                              DiagnosticChain diagnostics,
                                              java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the MinLength constraint of 'NMTOKENS'.

### validateNMTOKENSBase

    public boolean validateNMTOKENSBase(java.util.List<?> nmtokensBase,
                                        DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNMTOKENSBase_ItemType

    public boolean validateNMTOKENSBase_ItemType(java.util.List<?> nmtokensBase,
                                                 DiagnosticChain diagnostics,
                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the ItemType constraint of 'NMTOKENS Base'.

### validateNonNegativeInteger

    public boolean validateNonNegativeInteger(java.math.BigInteger nonNegativeInteger,
                                              DiagnosticChain diagnostics,
                                              java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNonNegativeInteger_Min

    public boolean validateNonNegativeInteger_Min(java.math.BigInteger nonNegativeInteger,
                                                  DiagnosticChain diagnostics,
                                                  java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Min constraint of 'Non Negative Integer'.

### validateNonPositiveInteger

    public boolean validateNonPositiveInteger(java.math.BigInteger nonPositiveInteger,
                                              DiagnosticChain diagnostics,
                                              java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNonPositiveInteger_Max

    public boolean validateNonPositiveInteger_Max(java.math.BigInteger nonPositiveInteger,
                                                  DiagnosticChain diagnostics,
                                                  java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Max constraint of 'Non Positive Integer'.

### validateNormalizedString

    public boolean validateNormalizedString(java.lang.String normalizedString,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNOTATION

    public boolean validateNOTATION(javax.xml.namespace.QName notation,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateNOTATION

    @Deprecated
    public boolean validateNOTATION(java.lang.Object notation,
                                               DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validatePositiveInteger

    public boolean validatePositiveInteger(java.math.BigInteger positiveInteger,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### validatePositiveInteger_Min

    public boolean validatePositiveInteger_Min(java.math.BigInteger positiveInteger,
                                               DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Min constraint of 'Positive Integer'.

### validateQName

    public boolean validateQName(javax.xml.namespace.QName qName,
                                 DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

### validateQName

    @Deprecated
    public boolean validateQName(java.lang.Object qName,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateShort

    public boolean validateShort(short short_,
                                 DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

### validateShortObject

    public boolean validateShortObject(java.lang.Short shortObject,
                                       DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

### validateString

    public boolean validateString(java.lang.String string,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateTime

    public boolean validateTime(javax.xml.datatype.XMLGregorianCalendar time,
                                DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateTime

    @Deprecated
    public boolean validateTime(java.lang.Object time,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Deprecated.

### validateToken

    public boolean validateToken(java.lang.String token,
                                 DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnsignedByte

    public boolean validateUnsignedByte(short unsignedByte,
                                        DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnsignedByte_Min

    public boolean validateUnsignedByte_Min(short unsignedByte,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Min constraint of 'Unsigned Byte'.

### validateUnsignedByte_Max

    public boolean validateUnsignedByte_Max(short unsignedByte,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Max constraint of 'Unsigned Byte'.

### validateUnsignedByteObject

    public boolean validateUnsignedByteObject(java.lang.Short unsignedByteObject,
                                              DiagnosticChain diagnostics,
                                              java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnsignedInt

    public boolean validateUnsignedInt(long unsignedInt,
                                       DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnsignedInt_Min

    public boolean validateUnsignedInt_Min(long unsignedInt,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Min constraint of 'Unsigned Int'.

### validateUnsignedInt_Max

    public boolean validateUnsignedInt_Max(long unsignedInt,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Max constraint of 'Unsigned Int'.

### validateUnsignedIntObject

    public boolean validateUnsignedIntObject(java.lang.Long unsignedIntObject,
                                             DiagnosticChain diagnostics,
                                             java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnsignedLong

    public boolean validateUnsignedLong(java.math.BigInteger unsignedLong,
                                        DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnsignedLong_Min

    public boolean validateUnsignedLong_Min(java.math.BigInteger unsignedLong,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Min constraint of 'Unsigned Long'.

### validateUnsignedLong_Max

    public boolean validateUnsignedLong_Max(java.math.BigInteger unsignedLong,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Max constraint of 'Unsigned Long'.

### validateUnsignedShort

    public boolean validateUnsignedShort(int unsignedShort,
                                         DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnsignedShort_Min

    public boolean validateUnsignedShort_Min(int unsignedShort,
                                             DiagnosticChain diagnostics,
                                             java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Min constraint of 'Unsigned Short'.

### validateUnsignedShort_Max

    public boolean validateUnsignedShort_Max(int unsignedShort,
                                             DiagnosticChain diagnostics,
                                             java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the Max constraint of 'Unsigned Short'.

### validateUnsignedShortObject

    public boolean validateUnsignedShortObject(java.lang.Integer unsignedShortObject,
                                               DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

  Overrides:
    `getResourceLocator` in class `EObjectValidator`
  Returns:
    the resource locator for fetching model-specific messages.

### reportXMLGregorianCalendarViolation

    protected void reportXMLGregorianCalendarViolation(EDataType eDataType,
                                                       javax.xml.datatype.XMLGregorianCalendar value,
                                                       DiagnosticChain diagnostics,
                                                       java.util.Map<java.lang.Object,java.lang.Object> context)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.